# Record Class WsMappingResult

java.lang.Object
java.lang.Record
org.apache.tomcat.websocket.server.WsMappingResult

public record WsMappingResult(ServerEndpointConfig config, Map<String,String> pathParams) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsMappingResult(ServerEndpointConfig config, Map<String,String> pathParams)`
  Creates an instance of a `WsMappingResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServerEndpointConfig`
  `config()`
  Returns the value of the `config` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Map<String,String>`
  `pathParams()`
  Returns the value of the `pathParams` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WsMappingResult

    public WsMappingResult(ServerEndpointConfig config, Map<String,String> pathParams)
    Creates an instance of a `WsMappingResult` record class.
    Parameters:
      `config` - the value for the `config` record component
      `pathParams` - the value for the `pathParams` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### config

    public ServerEndpointConfig config()
    Returns the value of the `config` record component.
    Returns:
      the value of the `config` record component

  - ### pathParams

    public Map<String,String> pathParams()
    Returns the value of the `pathParams` record component.
    Returns:
      the value of the `pathParams` record component